Bug 141034 - Bad: Installer crashed
Bad: Installer crashed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-28 13:17 EST by Rick Lim
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-01 22:17:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick Lim 2004-11-28 13:17:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; 
SV1; .NET CLR 1.0.3705; .NET CLR 1.1.4322)

Description of problem:
Upgrade of FC2 to FC3 will not work, crashes with Install exited 
abnormally

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.boot using FC3 disk 1
2.use linux askmethod updates
3.load fc3-part-upd.img from floppy
use hdb1 for disk images
proceed to installing packages
    

Actual Results:  install exits with this error message

warning; package kernel = 2.6.9-1.667 was already added, replacing 
with kernel = 2.6.9-1.667

install exited abnormally

Expected Results:  installation should have proceeded

Additional info:

asus p2b motherboard 350mhz
CPU: Intel Pentium II (Deschutes) stepping 02
hda: IBM-DTLA-305030, ATA DISK drive
hdb: Maxtor 31024H2, ATA DISK drive
Comment 1 Jeremy Katz 2004-11-28 17:03:16 EST
When does the failure occur?  What version of the kernel package did
you already have installed?
Comment 2 Rick Lim 2004-11-29 00:32:54 EST
The failure happens right after the message "installing packages"
The kernel is vmlinuz-2.6.8-1.521
Comment 3 Rick Lim 2004-12-01 10:32:23 EST
Solved the installation problem by removing one of the installed 
kernels "vmlinuz-2.6.5-1.358"
After removing the kernel FC3 installed correctly

Thanks.


Here is my grub.conf if you want to duplicate the error.

title Fedora Core (2.6.8-1.521)
        root (hd0,0)
        kernel /vmlinuz-2.6.8-1.521 ro root=/dev/hda2 rhgb
        initrd /initrd-2.6.8-1.521.img
title Fedora Core (2.6.6-1.435)
        root (hd0,0)
        kernel /vmlinuz-2.6.6-1.435 ro root=/dev/hda2 rhgb quiet
        initrd /initrd-2.6.6-1.435.img
title Fedora Core (2.6.5-1.358) K6
        root (hd0,0)
        kernel /vmlinuz-2.6.5-1.358 ro root=/dev/hda2 rhgb quiet
        initrd /initrd-2.6.5-1.358.img
title Fedora Core (custom)
        root (hd0,0)
        kernel /vmlinuz-custom ro root=LABEL=/ rhgb
        initrd /initrd-custom.img

Note You need to log in before you can comment on or make changes to this bug.